/*
**  Low-cost Remote Who
**  There is no copyright on this package.
**  Library routines.
*/
/* LINTLIBRARY */
#include "lwho.h"
#if	!defined(lint) && !defined(SABER)
static char RCS[] =
	"$Header: /nfs/papaya/source/lwho/RCS/lwholib.c,v 1.2 91/03/16 18:29:13 rsalz Exp $";
#endif	/* !defined(lint) && !defined(SABER) */


char	*progname = "a.out";


/*
**  Print error message text.
*/
char *
strerror(e)
{
    extern int		 sys_nerr;
    extern char		*sys_errlist[];
    static char		 buff[30];

    if (e > 0 && e < sys_nerr)
	return sys_errlist[e];
    (void)sprintf(buff, "Error code %d", e);
    return buff;
}


int *
xmalloc(i)
    unsigned int	 i;
{
    extern char		*malloc();
    char		*p;

    if ((p = malloc(i)) == NULL) {
	/* Print as normal int so bogus values show up easily. */
	fprintf(stderr, "%s: Can't malloc %d bytes\n", progname, i);
	exit(1);
    }
    return (int *)p;
}


int *
xrealloc(p, i)
    char		*p;
    unsigned int	 i;
{
    extern char		*realloc();

    if ((p = realloc(p, i)) == NULL) {
	/* Print as normal int so bogus values show up easily. */
	fprintf(stderr, "%s: Can't realloc %d bytes\n", progname, i);
	exit(1);
    }
    return (int *)p;
}
